Subject: Re: bug#52559: guix pull fails with `Unknown command: nix fish: nix show-derivation "~/.fr-sqOEpp/....-module-import-compiled.drv"

From: Grigory Shepelev <[email-masked]>
Date: Mon, 17 Jan 2022 22:02:39 +0300

Encountered same problem again on both machines (recently installed guix on
laptop and an old desktop PC of mine).

Seems like the problems arise after home reconfiguration. Still can pull
successfully from the root user.

On "usual user" I have to move all my stuff from home to a separate
directory.

cd ~; mkdir vault; mv * vault; mv .* vault;

Then guix pull works. Of course all the home configuration content is lost.
And I have to reconfigure my home.  And then recover all files except for
".guix-home" and etc. from the "vault" dir.

I wondered that happens because of wrong lang/locale settings, So I even
forced them in my user's config:

(simple-service 'some-useful-env-vars-service
                        home-environment-variables-service-type
                        `(("LC_ALL" . "en_US.UTF-8")
                          ("LANG" . "en_US.UTF-8")
                          ("GDM_LANG" . "en_US.UTF-8")
                          ("LANGUAGE" . "en_US")
                          ("EDITOR" . "emacs")))

Still the same problem.

пн, 27 дек. 2021 г. в 23:08, Maxime Devos <[email-masked]>:

> Grigory Shepelev schreef op ma 27-12-2021 om 21:01 [+0300]:
> > Created new user. Tested from it. Guix pull works great. Now will
> > move the stuff.
> > Thanks a lot.
>
> Seems like the issue has been resolved, so closing.
> If you want to re-open the bug report, see
> <https://debbugs.gnu.org/server-control.html>.
>
> Greetings,
> Maxime.
>